package com.house365.ws.interfaces.server;

import com.house365.beans.entity.CityCallConfig;
import com.house365.beans.entity.CityEntity;
import com.house365.beans.entity.NewHouseCityEntity;
import com.house365.rest.context.IService;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2019/5/6.
 */
public interface ICityCallInterface extends IService {

    List<CityCallConfig> queryByCity(String city);

    void save(NewHouseCityEntity entity);

    List<NewHouseCityEntity> queryByConditions(Map<String, Object> map);

    List<CityEntity> queryCityList(Map<String, Object> map);

    void update(NewHouseCityEntity entity);

}
